// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// $Log: JGFloat32.cc,v $
// Revision 1.2  1999/05/05 22:57:18  jimg
// Merged Brent's String --> string changes with Dan's changes
//
// Revision 1.1  1999/03/27 01:00:34  jimg
// Added
//

#include "config_jg.h"

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>
#include <stdlib.h>

#include "JGFloat32.h"
#include "jgofs.h"

Float32 *
NewFloat32(const string &n)
{
    return new JGFloat32(n);
}

JGFloat32::JGFloat32(const string &n) : Float32(n)
{
}

BaseType *
JGFloat32::ptr_duplicate()
{
    return new JGFloat32(*this); // Copy ctor calls duplicate to do the work
}

// The following mfunc is untested. jhrg 12/31/97.
 
bool
JGFloat32::read(const string &dataset, int &error)
{
    error = 1;
    return false;
}
