// -*- C++ -*-

// Interface for JGFloat32 type. See JGByte.h
//
// 3/26/99 jhrg

// $Log: JGFloat32.h,v $
// Revision 1.2  1999/05/05 22:57:18  jimg
// Merged Brent's String --> string changes with Dan's changes
//
// Revision 1.1  1999/03/27 01:00:34  jimg
// Added
//

#ifndef _JGFloat32_h
#define _JGFloat32_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Float32.h"

class JGFloat32: public Float32 {
public:
    JGFloat32(const string &n = "");
    virtual ~JGFloat32() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);
};

#endif

