
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// $Log: JGUInt16.cc,v $
// Revision 1.2  1999/05/05 22:57:18  jimg
// Merged Brent's String --> string changes with Dan's changes
//
// Revision 1.1  1999/03/27 01:00:34  jimg
// Added
//

#include "config_jg.h"

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>

#include "JGUInt16.h"
#include "jgofs.h"

UInt16 *
NewUInt16(const string &n)
{
    return new JGUInt16(n);
}

JGUInt16::JGUInt16(const string &n) : UInt16(n)
{
}

BaseType *
JGUInt16::ptr_duplicate()
{
    return new JGUInt16(*this);
}

bool
JGUInt16::read(const string &dataset, int &error)
{
    error = 1;
    return false;
}
