
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// $Log: JGUInt16.h,v $
// Revision 1.2  1999/05/05 22:57:19  jimg
// Merged Brent's String --> string changes with Dan's changes
//
// Revision 1.1  1999/03/27 01:00:34  jimg
// Added
//

#ifndef _JGInt16_h
#define _JGInt16_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "UInt16.h"

class JGUInt16: public UInt16 {
public:
    JGUInt16(const string &n = "");
    virtual ~JGUInt16() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);
};

#endif

