
#include <string>

#define TOKEN 40

extern int nParams, nVars;
extern int varLevel[];
extern char **varName;
extern int reqLvl, maxLvl;

extern "C" {
  int ioattrout_(int*, char*);
  int ioclose_();
  int iocommout_(char*);
  int ioname_(int*, char*);
  int ioopen_(char**, int*, int*);
  int ioreadrec_(int*);
  int iovalstr_(int*, char*);
  int iovarlevel_(int*);
}
	    
#include "Sequence.h"

bool
Sequence::read(string dataset, string var_name, string constraint)
{
  for( Pix p = first_var(); p; next_var(p)) 
    var(p)->read(dataset,"dummy","dummy");
}

bool
Sequence::readVal(void *stuff)
{
}

#include "Str.h"

bool
Str::read(string dataset, string var_name, string constraint)
{
  buf = (char *)malloc(80);
  bool Found = 0;

  for( int j = 0; j < nVars; ++j)
    {
      if( strcmp(get_var_name(), varName[j]) == 0 ) {
	Found = 1;
	iovalstr_(&j,buf);
	break;
      }
    }
  if ( !(Found) )
    cerr << "Variable " << get_var_name() << "  wasn't located in JGOFS object " << dataset << "." << endl;
}

bool
Str::readVal(void *stuff)
{
  int status;

  status = memcpy( (char *)stuff, buf, strlen(buf)+1 );
  
  if ( !status )
    cerr << "Unable to retrieve value" << endl;

  return (bool)status;

}

#include "Array.h"

bool
Array::read(string dataset, string var_name, string constraint)
{
}

bool
Array::readVal(void *stuff)
{
}

#include "List.h"

bool 
List::read(string dataset, string var_name, string constraint)
{
}

bool
List::readVal(void *stuff)
{
}

#include "Structure.h"

bool
Structure::read(string dataset, string var_name, string constraint)
{
}

bool
Structure::readVal(void *stuff)
{
}

#include "Grid.h"

bool
Grid::read(string dataset, string var_name, string constraint)
{
}

bool
Grid::readVal(void *stuff)
{
}





