
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// $Log: JGInt16.cc,v $
// Revision 1.2  1999/05/05 22:57:18  jimg
// Merged Brent's String --> string changes with Dan's changes
//
// Revision 1.1  1999/03/27 01:00:34  jimg
// Added
//

#include "config_jg.h"

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>

#include "JGInt16.h"
#include "jgofs.h"

Int16 *
NewInt16(const string &n)
{
    return new JGInt16(n);
}

JGInt16::JGInt16(const string &n) : Int16(n)
{
}

BaseType *
JGInt16::ptr_duplicate()
{
    return new JGInt16(*this);
}

bool
JGInt16::read(const string &dataset, int &error)
{
    error = 1;
    return false;
}
